:root {
  --page-width: 1280px;
  --page-gutter: 24px;

  --content-width: 1200px;
  --content-gutter: 24px;

  --primary-black: #333;
  --primary-white: #fffdfd;
  --primary-gray: #a8a8a8;
  --primary-gray-light: #f1f1f1;
  --primary-gray-ultralight: #f7f8f7;
  --primary-green: #498b4e;

  --font-en: 'Playfair Display', 'Noto Serif JP', serif;
  --font-ja: 'Noto Serif JP', 'Playfair Display', serif;

  @media (max-width: 540px) {
    --content-gutter: 16px;
    --page-gutter: 16px;
  }
}

* {
  box-sizing: border-box;
}

html,
body {
  font-family: var(--font-ja);
  font-weight: 500;
  margin: 0;
  padding: 0;
  color: #333;
  background-color: var(--primary-white);
  /* overflow-x: hidden; */

  @media (max-width: 540px) {
    font-size: 15px;
  }
}

img {
  margin-top: 0;
  display: block;
  vertical-align: bottom;
}

.ff-en {
  font-family: 'Playfair Display', serif;
}

.headline {
  /* background: linear-gradient(180.89deg, #58a85e 0.71%, #46864b 59.14%);
  background: linear-gradient(267.69deg, #58a85e 0%, #46864b 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent; */

  /* Optional fallback */
  /* background-clip: text; */
  /* color: transparent; */
  color: #005b47;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0;
  display: block;
}

::marker,
ul,
li {
  margin-block: unset;
  padding-inline-start: 0;
  list-style-type: none;
  box-sizing: border-box;
}

p {
  margin-block: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

.content-container {
  max-width: var(--content-width);
  margin: 0 auto;
}

.main {
  position: sticky;
  top: 0;
}

body.admin-bar .main {
  top: 32px;
}

@media screen and (max-width: 782px) {
  body.admin-bar .main {
    top: 46px;
    top: 0;
  }
}

.pc-none {
  display: none;

  @media (max-width: 768px) {
    display: block;
  }
}

.sp-none {
  display: block;

  @media (max-width: 768px) {
    display: none;
  }
}

.btn-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 14px;
  letter-spacing: 0.08em;
  margin-top: 40px;
}

.btn-wrapper.pc-none {
  display: none;

  @media (max-width: 768px) {
    display: flex;
  }
}

.btn-wrapper.sp-none {
  display: flex;
  @media (max-width: 768px) {
    display: none;
  }
}

.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.mb10 {
  margin-bottom: 10px;
}

.mb30 {
  margin-bottom: 30px;
}

@keyframes slowZoomOut {
  from {
    transform: scale(1.2) translate(-1%, -1%);
  }
  to {
    transform: scale(1) translate(0, 0);
  }
}

@keyframes logoFadeIn {
  to {
    opacity: 1;
  }
}

@keyframes logoWipeIn {
  from {
    clip-path: inset(0 100% 0 0);
  }
  to {
    clip-path: inset(0 0 0 0);
  }
}

.btn-link {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background-color: #005b47;
  color: #fff;
  line-height: 1.4;
  text-align: center;
  padding: 8px 16px;
  border-radius: 4px;
  font-size: 14px;
}

.btn-link:hover {
  opacity: 0.8;
}
